<?php 
	$ruta="../../../../";
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/credito.php");
	$credito=new credito;
	extract($_POST);
	//FECHA VENCIMIENTO
	$do=$dominio->muestra($idfrecuenciapago);//idfrecuanciapago == a iddominio
	$dias=intval($do['short'])*intval($idnrocuotas);
	//echo "DIAS: ".$do['short']."-".$idnrocuotas;
	$fechaactual = date("d-m-Y");
	$fechacierre = strtotime($idfechadesembolso."+ ".$dias." days");
	$fechacierre= date("Y-m-d",$fechacierre);
	//INTERES A COBRAR
	$dint=$dominio->mostrarUltimo(" tipo='INT.INTERNO' ");
	// GASTOS ADMINISTRATIVOS
	$interesCred=$idmonto*($dint['short']/100)*$do['valor1']*$idnrocuotas;//interes para crediamigo
	$interesCli=$idmonto*($dint['codigo']/100)*$do['valor1']*$idnrocuotas;//interes para devolver a cliente
	$totalInteres=$interesCred+$interesCli;
	//echo "MONTO: ".$idmonto;
	//validamos el monto del credito
	$dcred=$credito->muestra($idcredito);
	$montoPermitido=$dcred['montoOT']/2;

	$diasTrans=diferenciaDias($fechacierre,$dcred['fechavence']);
	if ($diasTrans<0) {
		?>
			<script type="text/javascript">
				$('#btnSend').hide();
				swal('Error','Las cuotas del credito interno deben ser menores a las cuotas faltantes del credito principal','error');
			</script>
		<?php
	}else{
		if ($idmonto>$montoPermitido) {
			?>
				<script type="text/javascript">
					$('#btnSend').hide();
					$("#idmonto").val("<?php echo $montoPermitido ?>");
					swal('Error','Monto no debe exceder al 50% del monto del credito principal','error');
				</script>
			<?php
		}else{
			?>
				<script type="text/javascript">
					$('#btnSend').show();
					var fechacierre='<?php echo $fechacierre ?>';
					
					$("#idfechavence").val(fechacierre);
					$("#idinteres").html('CLI: <?php echo $interesCli ?>, PRO-AYUDA: <?php echo $interesCred ?>, TOTAL: <?php echo $totalInteres ?> ');
				</script>
			<?php
		}
	}
?>